<html>
<head>
<title>Otro mapa</title>

	<script src="https://maps.googleapis.com/maps/api/js?v=3.exp"></script>

	<script>
		var mapa;
		function initialize() {
			var opciones = { 
			zoom: 15, 
			center: new google.maps.LatLng(41.6, -4.5) 
			};
			mapa = new google.maps.Map(document.getElementById('mapa'), opciones);
			var infowindow = new google.maps.InfoWindow({content:'hola'});
			
			var punto1 = new google.maps.Marker({
				position: new google.maps.LatLng(41.766667, -2.466667),
				map: mapa,
				title:'Soria',
				animation: google.maps.Animation.DROP,
				icon:'enchufe3.png'
			}); 
			
			google.maps.event.addListener(punto1,'click', function() {
				infowindow.setContent('Es mi pueblo');
				infowindow.open(mapa, punto1);
			});      

			var punto2 = new google.maps.Marker({
				position: new google.maps.LatLng(42.598889, -5.566944),
				map: mapa,
				title:'Esta es otra ciudad',
				animation: google.maps.Animation.DROP,
				icon:'enchufe3.png'
			}); 
			
			google.maps.event.addListener(punto2,'click', function() {
				infowindow.setContent('Es LEON, so lelo');
				infowindow.open(mapa, punto2);
			});      
		}
		google.maps.event.addDomListener(window, 'load', initialize);
	</script>

	<style type="text/css">
		#mapa { width:500px; height:400px; margin:0 auto; }
	</style>

</head>
<body>
	<div id="mapa"></div>
</body>
</html>