<html>
<head>		
	<title>Colocando muuuuuuchos misPuntos</title>
	<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=true"></script>
	<style type="text/css">
		header#mapa{
			margin: 20px auto 0px auto;
			width: 100%;
			height: 400px;	
			overflow: hidden;
		}
	</style>
</head>

<body>	
<?php

	function leeDatos(){
		$respuesta="";
		// Abrimos el fichero para leer 
		$f = fopen("datos.txt", "r") or exit("No puedo abrir el fichero");
		// Para facilitar las cosas, se que el fichero contiene 5 campos
		// Nombre;Direccion;Localidad;Provincia;Informacion;
		// La primera linea contiene los titulos de las columnas (nombres de los campos), la leo y la desecho
		$titulos=fgets($f);
		// Como es csv, los campos estn separados por ; Los corto (split) con explode()
		// Ojo a los acentos, las , ...
		// Genero la respuesta
		while (( $registro = fgetcsv ( $f , 1000 , ";" )) !== FALSE ){ 
			// Mando nombre;X;Y;direccion;localidad;provincia:datos#
			$respuesta=$respuesta.$registro[0].";".coordenadas($registro[1],$registro[2],$registro[3]).";".$registro[1].";".$registro[2].";".$registro[3].";".$registro[4]."#";
		}
		// Cerrando el fichero
		fclose($f);
		// Devolviendo la respuesta
		return $respuesta;
	}
	
	function coordenadas($direccion,$localidad,$provincia){
		$direccion=$direccion." ".$localidad." ".$provincia." SPAIN";
		$resultado = json_decode(file_get_contents(sprintf('https://maps.googleapis.com/maps/api/geocode/json?sensor=false&address=%s', urlencode($direccion)))); 
		$estado = $resultado->status; 
		if($estado == 'OK'){ 
			$lat = $resultado->results[0]->geometry->location->lat; 
			$long = $resultado->results[0]->geometry->location->lng; 
			return "{$lat}; {$long}";
		} else echo "MAL";
		// Esta funcion no devuelve bien las coordenadas
		// si direccion tiene        
	}
?>

<header id="mapa">

<script type="text/javascript">
		
	var datos="<?php echo leeDatos() ?>" ;
								
	var misPuntos = new Array(); 	
	var markers = Array();
	var infowindowActivo = false;
	
	// Separo los datos que recibo de php en registros. Los registros estn separados por #
	var registro = datos.split("#");
	
	// Separo los campos de cada registro. Los campos estn separados por ;
	for (a in registro){
		var campo = registro[a].split(";");
		// campo[1] y campo[2] son las coordenadas
		misPuntos[a] = [""+campo[0],""+campo[1], ""+campo[2], "icon1", ""+campo[6]];							
									
	}
	
	// Ahora tengo cargada la matriz misPuntos con 
	//      *tantas filas como puntos del mapa. 
	//      *En cada fila: Denominacion,X,Y,icono,informacion
							
	function empieza() {
		// Coordenadas del centro de nuestro recuadro principal
		var x =41.991;
		var y = -2.024532100000033;
		// Opciones del mapa (zoom, centro, tipo de mapa
		var mapOptions = { zoom: 7, center: new google.maps.LatLng(x, y), mapTypeId: google.maps.MapTypeId.ROADMAP }
		// Contenedor del mapa
		var map = new google.maps.Map(document.getElementById("mapa"), mapOptions);
		// Los muuuuuuuchos marcadores
		inicializaMarcadores(map);
	}
								
	function inicializaMarcadores(map) {			    
		var icon1 = new google.maps.MarkerImage("icono.png", new google.maps.Size(20, 20));		    
	    for(var i=0; i<misPuntos.length; i++) {
	        var punto = misPuntos[i];
			var myLatLng = new google.maps.LatLng(punto[1], punto[2]);
							
			markers[i]=new google.maps.Marker({
				position: myLatLng,
				map: map,
				icon: eval(punto[3]),
				title: punto[0],
				animation: google.maps.Animation.DROP
			});

			markers[i].infoWindow=new google.maps.InfoWindow({
	            content: punto[4]
	        });

	        google.maps.event.addListener(markers[i], 'click', function(){      
	            if(infowindowActivo) infowindowActivo.close();
				infowindowActivo = this.infoWindow;
				infowindowActivo.open(map, this);
			});
		}
	}

	empieza();
</script>  
</header>
</body>
</html>